import { CesiumMapType, WeatherEffectType } from '../Cesium.types';
/**
 * @description 下雪天气模拟特效
 * @param {CesiumMapType} viewer - 地图对象
 * @options: 下雪效果配置
 * @options.snowSize: 雪花大小
 * @options.snowSpeed: 雪花落下速度
 */
declare class SnowEffect {
    snowSize: number;
    snowSpeed: number;
    viewer: CesiumMapType;
    snowStage: any;
    constructor(viewer: CesiumMapType, options: WeatherEffectType);
    init(): void;
    destroy(): void;
    show(visible: boolean): void;
    snow(): string;
}
/**
 * @description 下雨天气模拟特效
 * @param {CesiumMapType} viewer - 地图对象
 * @options: 下雨效果配置
 * @options.tiltAngle: 雨滴倾斜角度
 * @options.snowSize: 雨滴大小
 * @options.snowSpeed: 雨滴落下速度
 */
declare class RainEffect {
    tiltAngle: number;
    rainSize: number;
    rainSpeed: number;
    viewer: CesiumMapType;
    rainStage: any;
    constructor(viewer: CesiumMapType, options: WeatherEffectType);
    init(): void;
    destroy(): void;
    show(visible: boolean): void;
    rain(): string;
}
/**
 * @description 雾天气模拟特效
 * @param {CesiumMapType} viewer - 地图对象
 * @options: 雾效果配置
 * @options.fogVisibility: 雾的可见度
 * @options.fogColor: 雾的颜色
 */
declare class FogEffect {
    visibility: number;
    color: any;
    viewer: CesiumMapType;
    fogState: any;
    constructor(viewer: CesiumMapType, options: WeatherEffectType);
    init(): void;
    destroy(): void;
    show(visible: boolean): void;
    fog(): string;
}
declare const _default: {
    SnowEffect: typeof SnowEffect;
    RainEffect: typeof RainEffect;
    FogEffect: typeof FogEffect;
};
export default _default;
